| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CreateCertificateRequest Struct Reference
Certificates

Create Certificate request. More...

`#include <osv-if-doc.h>`

## Public Attributes
char * | OperatorId
| Operator Id. More...
char * | FileName
| Certificate File Name (.pem file) required: true. More...
enum unsp__CreateType * | CreateType
| Certificate type on creation required: true. More...
enum unsp__KeySize * | KeySize
| Certificate Key Size required: true. More...
struct unsp__CertKeyUsage * | KeyUsage
| Certificate Key Usage required: true. More...
char * | Country
| Country info required: false. More...
char * | State
| State info required: false. More...
char * | City
| City info required: false. More...
char * | Organization
| Organization info required: false. More...
char * | OrganizationalUnit
| Organizational Unit info required: false. More...
char * | CommonName
| Common Name info required: true. More...
char * | EmailAddress
| Email Address info required: false. More...

## Detailed Description

Create Certificate request.

Used by unsp__CreateCertificate()

## Member Data Documentation

## ◆ City

char* unsp__CreateCertificateRequest::City

City info
required: false.

## ◆ CommonName

char* unsp__CreateCertificateRequest::CommonName

Common Name info
required: true.

## ◆ Country

char* unsp__CreateCertificateRequest::Country

Country info
required: false.

## ◆ CreateType

enum unsp__CreateType* unsp__CreateCertificateRequest::CreateType

Certificate type on creation
required: true.

## ◆ EmailAddress

char* unsp__CreateCertificateRequest::EmailAddress

Email Address info
required: false.

## ◆ FileName

char* unsp__CreateCertificateRequest::FileName

Certificate File Name (.pem file)
required: true.

## ◆ KeySize

enum unsp__KeySize* unsp__CreateCertificateRequest::KeySize

Certificate Key Size
required: true.

## ◆ KeyUsage

struct unsp__CertKeyUsage* unsp__CreateCertificateRequest::KeyUsage

Certificate Key Usage
required: true.

## ◆ OperatorId

char* unsp__CreateCertificateRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Organization

char* unsp__CreateCertificateRequest::Organization

Organization info
required: false.

## ◆ OrganizationalUnit

char* unsp__CreateCertificateRequest::OrganizationalUnit

Organizational Unit info
required: false.

## ◆ State

char* unsp__CreateCertificateRequest::State

State info
required: false.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h